Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractService

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractService

All Implemented Interfaces:
  `Serializable`, `Idable`

public class RSCMContractService extends Id implements Serializable
Потребленная договором услуга RSCM модуля.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RSCMContractService.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMContractService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RSCMContractService.Builder`
  `builder()`
  `int`
  `getAmountDown()`
  `int`
  `getAmountUp()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `BigDecimal`
  `getCost()`
  `LocalDate`
  `getDate()`
  `int`
  `getInstallmentId()`
  `int`
  `getServiceId()`
  `String`
  `getServiceTitle()`
  `String`
  `getUnit()`
  `boolean`
  `isLast()`
  `void`
  `setAmountDown(int amountDown)`
  `void`
  `setAmountUp(int amountUp)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `RSCMContractService`
  `setCost(BigDecimal cost)`
  `void`
  `setDate(LocalDate date)`
  `void`
  `setInstallmentId(int installmentId)`
  `void`
  `setLast(boolean last)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setServiceTitle(String serviceTitle)`
  `void`
  `setUnit(String unit)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RSCMContractService

    public RSCMContractService()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getInstallmentId

    public int getInstallmentId()

  - ### setInstallmentId

    public void setInstallmentId(int installmentId)

  - ### getUnit

    public String getUnit()

  - ### setUnit

    public void setUnit(String unit)

  - ### getDate

    public LocalDate getDate()

  - ### setDate

    public void setDate(LocalDate date)

  - ### getServiceTitle

    public String getServiceTitle()

  - ### setServiceTitle

    public void setServiceTitle(String serviceTitle)

  - ### getAmountUp

    public int getAmountUp()

  - ### getAmountDown

    public int getAmountDown()

  - ### isLast

    public boolean isLast()

  - ### setAmountUp

    public void setAmountUp(int amountUp)

  - ### setAmountDown

    public void setAmountDown(int amountDown)

  - ### setLast

    public void setLast(boolean last)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public RSCMContractService setCost(BigDecimal cost)

  - ### builder

    public static RSCMContractService.Builder builder()